Bug 730082 - openbox reconfigure crashes imsettings-xim (X needs restart)
openbox reconfigure crashes imsettings-xim (X needs restart)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 13:46 EDT by Sami Farin
Modified: 2014-06-23 09:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 09:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2011-08-11 13:46:56 EDT
Description of problem:
in openbox 3.5.0-1 selecting Reconfigure from the menu crashes imsettings-xim.
after the crash, mouse can not be used (cursor disappears..) and different desktop or new window can not be focused, I can use only the one currently active. (So I have to restart X)
[209638.090568] imsettings-xim[22371] trap int3 ip:300b050fa5 sp:7fff11435db0 error:0

openbox 3.4.11.2-8 and earlier versions work.

Version-Release number of selected component (if applicable):
3.5.0-1

How reproducible:
100%

Steps to Reproduce:
1. "XIM=ibus" in ~/.xinputrc (not sure if it matters)
2. "exec /usr/bin/openbox-session" in ~/.xinitrc
3.
  
Actual results:
openbox reconfigure crashes vital stuff

Expected results:
openbox reconfigure works

Additional info:

imsettings-xim-1.2.4-1.fc16.x86_64
Comment 1 Sami Farin 2012-01-12 12:31:28 EST
latest openbox: xmodmap ~/.Xmodmap kills imsettings-xim and I have to restart X

[10232.503716] imsettings-xim[1664] trap int3 ip:3011e52aa1 sp:7fff1a57f480 error:0

lrwxrwxrwx 1 safari xuser 32 2011-12-31 15:56:01.040489448 +0200 /home/safari/.xinputrc -> /etc/X11/xinit/xinput.d/xim.conf
Comment 2 Miroslav Lichvar 2012-11-08 08:45:49 EST
I'm not really sure what is going on here, but I think imsettings-xim shouldn't crash even if openbox is doing something wrong. Let's try reassign this bug to imsettings and see if its maintainers know better.
Comment 3 Akira TAGOH 2012-11-16 00:15:56 EST
Well, please attach $HOME/.cache/imsettings/log.
Comment 4 Fedora End Of Life 2013-04-03 13:46:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Sami Farin 2014-06-23 09:52:19 EDT
Does not crash nowadays

Note You need to log in before you can comment on or make changes to this bug.